# Class PedFileIterator

java.lang.Object
org.snpeff.fileIterator.FileIterator<PedEntry>
org.snpeff.ped.PedFileIterator

All Implemented Interfaces:
  `Iterable<PedEntry>, Iterator<PedEntry>`

public class PedFileIterator extends FileIterator<PedEntry>
PED file iterator (PED file from PLINK) Reference: http://pngu.mgh.harvard.edu/~purcell/plink/data.shtml

Author:
  pcingola

## Field Summary

### Fields inherited from class FileIterator

`autoClose, countNewLineChars, debug, fileName, fileSize, line, lineNum, next, nextLine, reader, verbose`

## Constructor Summary

Constructors
Constructor
Description
`PedFileIterator(String fileName, String mapFileName)`

## Method Summary

Modifier and Type
Method
Description
`PlinkMap`
`getPlinkMap()`
`protected PedEntry`
`readNext()`
Read next element

### Methods inherited from class FileIterator

`close, countNewLineChars, getFilePointer, getLine, getLineNum, guessNewLineChars, hasNext, hasSeek, init, isDebug, iterator, load, next, readLine, ready, remove, seek, setAutoClose, setDebug, setVerbose, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

### Methods inherited from interface Iterator

`forEachRemaining`

## Constructor Details

### PedFileIterator

public PedFileIterator(String fileName, String mapFileName)

## Method Details

### getPlinkMap

public PlinkMap getPlinkMap()

### readNext

protected PedEntry readNext()
Description copied from class: `FileIterator`
Read next element

Specified by:
  `readNext` in class `FileIterator<PedEntry>`